org.apache.hc.core5.http2.ssl

## Class H2TlsSupport

- java.lang.Object
- - org.apache.hc.core5.http2.ssl.H2TlsSupport

-     public final class H2TlsSupport
      extends Object

  HTTP/2 TLS support methods
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2TlsSupport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLParameters` | `enforceRequirements(Object attachment, SSLParameters sslParameters)`
    `static SSLSessionInitializer` | `enforceRequirements(Object attachment, SSLSessionInitializer initializer)`
    `static String[]` | `selectApplicationProtocols(Object attachment)`
    `static void` | `setApplicationProtocols(SSLParameters sslParameters, String[] values)` Deprecated. Use `SSLParameters.setApplicationProtocols(String[])`.
    `static void` | `setEnableRetransmissions(SSLParameters sslParameters, boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H2TlsSupport

          public H2TlsSupport()

  - ### Method Detail

    - #### setEnableRetransmissions

          public static void setEnableRetransmissions(SSLParameters sslParameters,
                                                      boolean value)

    - #### setApplicationProtocols

          @Deprecated
          public static void setApplicationProtocols(SSLParameters sslParameters,
                                                                 String[] values)

      Deprecated. Use `SSLParameters.setApplicationProtocols(String[])`.

    - #### selectApplicationProtocols

          public static String[] selectApplicationProtocols(Object attachment)

    - #### enforceRequirements

          public static SSLParameters enforceRequirements(Object attachment,
                                                          SSLParameters sslParameters)

      Returns:
        the given SSLParameters.
      Since:
        5.3

    - #### enforceRequirements

          public static SSLSessionInitializer enforceRequirements(Object attachment,
                                                                  SSLSessionInitializer initializer)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.